%define scim_version	1.4.7

%define libname %mklibname %{name} 0

Name:		scim-array
Summary:	SCIM Array 30 Input Method Engine
Version:	1.0.0
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPLv2+
URL:		http://scimarray.openfoundry.org/
Source:		http://rt.openfoundry.org/Foundry/Project/Download/Attachment/91593/62957/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	scim-devel >= %{scim_version}
Requires:	scim-client = %{scim_api}
Obsoletes:	%{libname}

%description
This input method engine  is developed to support the Array 30 input 
method in SCIM framework. SCIM Array 30 Input Method Engine provides
with all the functions of Array 30, including 1st and 2nd level 
short codes, special codes, and symbol input.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %buildroot%{scim_plugins_dir}/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README AUTHORS ChangeLog
%_datadir/scim/icons/*
%_datadir/scim/Array
%{scim_plugins_dir}/*/*.so


%changelog
* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 227675
- New version 1.0.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 0.0.4-1mdv2009.0
+ Revision: 195834
- New version 0.0.4

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2-1mdv2008.1
+ Revision: 140756
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 71173
- Import scim-array
- Created package structure for scim-array.

